HibernateService (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jmx
Class HibernateService

    java.lang.Object
      org.hibernate.cfg.ExternalSessionFactoryConfig
          org.hibernate.jmx.HibernateService

All Implemented Interfaces:
  HibernateServiceMBean

Deprecated. See HHH-6190 for details

    @Deprecated
    public class HibernateService

extends ExternalSessionFactoryConfig
implements HibernateServiceMBean

Implementation of `HibernateServiceMBean`. Creates a `SessionFactory` and binds it to the specified JNDI name.
All mapping documents are loaded as resources by the MBean.

See Also:
  `HibernateServiceMBean`, `SessionFactory`

Constructor Summary
`HibernateService()` Deprecated.

Method Summary
`void` | `createSchema()` Deprecated. Export the `CREATE` DDL to the database
`void` | `dropSchema()` Deprecated. Export the `DROP` DDL to the database
`String` | `getAutoCloseSessionEnabled()` Deprecated. Is automatic Session closing enabled?
`String` | `getDatasource()` Deprecated. The JNDI name of the datasource to use in this `SessionFactory`
`protected Map` | `getExtraProperties()` Deprecated.
`String` | `getFlushBeforeCompletionEnabled()` Deprecated. Is automatic Session flusing enabled?
`String` | `getJndiName()` Deprecated. The JNDI name to bind to the `SessionFactory`
`String` | `getJtaPlatformName()` Deprecated. Get the name of the `JtaPlatform` implementation to use.
`String` | `getName()` Deprecated.
`String` | `getPassword()` Deprecated. Log into the database with this password
`Properties` | `getProperties()` Deprecated.
`String` | `getProperty(String property)` Deprecated. Get a property
`String` | `getPropertyList()` Deprecated. Display the properties
`String` | `getTransactionStrategy()` Deprecated. The fully qualified class name of the Hibernate `TransactionFactory` implementation to use
`String` | `getUserName()` Deprecated. Log into the database with this name
`String` | `getUserTransactionName()` Deprecated. The JNDI name of the JTA UserTransaction object (used only be `JtaTransaction`).
`void` | `setAutoCloseSessionEnabled(String enabled)` Deprecated. Enable automatic closing of Session when JTA transaction ends.
`void` | `setDatasource(String datasource)` Deprecated. Set the JNDI name of the datasource to use in this `SessionFactory`
`void` | `setFlushBeforeCompletionEnabled(String enabled)` Deprecated. Enable automatic flushing of the Session when JTA transaction ends.
`void` | `setJndiName(String jndiName)` Deprecated. The JNDI name to bind to the `SessionFactory`
`void` | `setJtaPlatformName(String name)` Deprecated. Sets the name of the `JtaPlatform` implementation to use.
`void` | `setPassword(String password)` Deprecated. Log into the database with this password
`void` | `setProperty(String property, String value)` Deprecated. Set a property
`void` | `setTransactionStrategy(String txnStrategy)` Deprecated. Set the fully qualified class name of the Hibernate `TransactionFactory` implementation to use.
`void` | `setUserName(String userName)` Deprecated. Log into the database with this name
`void` | `setUserTransactionName(String utName)` Deprecated. Set the JNDI name of the JTA UserTransaction object (used only by `JtaTransaction`).
`void` | `start()` Deprecated. Create the `SessionFactory` and bind to the jndi name on startup
`void` | `stop()` Deprecated. Unbind the `SessionFactory` or stub from JNDI

Methods inherited from class org.hibernate.cfg.ExternalSessionFactoryConfig
`addAdditionalProperty, addAll, addMapResource, buildConfiguration, buildProperties, getBatchVersionedDataEnabled, getCacheProviderConfig, getCacheRegionFactory, getCacheRegionPrefix, getCommentsEnabled, getDefaultCatalog, getDefaultSchema, getDialect, getExcludedPropertyNames, getGetGeneratedKeysEnabled, getJdbcBatchSize, getJdbcFetchSize, getJdbcScrollableResultSetEnabled, getMapResources, getMaximumFetchDepth, getMinimalPutsEnabled, getQueryCacheEnabled, getQuerySubstitutions, getReflectionOptimizationEnabled, getSecondLevelCacheEnabled, getShowSqlEnabled, getStreamsForBinaryEnabled, setBatchVersionedDataEnabled, setCacheProviderConfig, setCacheRegionFactory, setCacheRegionPrefix, setCommentsEnabled, setDefaultCatalog, setDefaultSchema, setDialect, setGetGeneratedKeysEnabled, setJdbcBatchSize, setJdbcFetchSize, setJdbcScrollableResultSetEnabled, setMapResources, setMaximumFetchDepth, setMinimalPutsEnabled, setQueryCacheEnabled, setQuerySubstitutions, setReflectionOptimizationEnabled, setSecondLevelCacheEnabled, setShowSqlEnabled, setStreamsForBinaryEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.jmx.HibernateServiceMBean
`addMapResource, getBatchVersionedDataEnabled, getCacheProviderConfig, getCacheRegionFactory, getCacheRegionPrefix, getCommentsEnabled, getDefaultCatalog, getDefaultSchema, getDialect, getGetGeneratedKeysEnabled, getJdbcBatchSize, getJdbcFetchSize, getJdbcScrollableResultSetEnabled, getMapResources, getMaximumFetchDepth, getMinimalPutsEnabled, getQueryCacheEnabled, getQuerySubstitutions, getSecondLevelCacheEnabled, getShowSqlEnabled, setBatchVersionedDataEnabled, setCacheProviderConfig, setCacheRegionFactory, setCacheRegionPrefix, setCommentsEnabled, setDefaultCatalog, setDefaultSchema, setDialect, setGetGeneratedKeysEnabled, setJdbcBatchSize, setJdbcFetchSize, setJdbcScrollableResultSetEnabled, setMapResources, setMaximumFetchDepth, setMinimalPutsEnabled, setQueryCacheEnabled, setQuerySubstitutions, setSecondLevelCacheEnabled, setShowSqlEnabled`

Constructor Detail

### HibernateService

    public HibernateService()

  Deprecated.

Method Detail

### start

    public void start()
               throws HibernateException

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Create the `SessionFactory` and bind to the jndi name on startup

  Specified by:
    `start` in interface `HibernateServiceMBean`
  Throws:
    `HibernateException`

### stop

    public void stop()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Unbind the `SessionFactory` or stub from JNDI

  Specified by:
    `stop` in interface `HibernateServiceMBean`

### getExtraProperties

    protected Map getExtraProperties()

  Deprecated.
  Overrides:
    `getExtraProperties` in class `ExternalSessionFactoryConfig`

### getTransactionStrategy

    public String getTransactionStrategy()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  The fully qualified class name of the Hibernate `TransactionFactory` implementation to use

  Specified by:
    `getTransactionStrategy` in interface `HibernateServiceMBean`
  Returns:
    the class name

### setTransactionStrategy

    public void setTransactionStrategy(String txnStrategy)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Set the fully qualified class name of the Hibernate `TransactionFactory` implementation to use.

  Specified by:
    `setTransactionStrategy` in interface `HibernateServiceMBean`
  Parameters:
    `txnStrategy` - the class name

### getUserTransactionName

    public String getUserTransactionName()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  The JNDI name of the JTA UserTransaction object (used only be `JtaTransaction`).

  Specified by:
    `getUserTransactionName` in interface `HibernateServiceMBean`
  Returns:
    the JNDI name
  See Also:
    `JtaTransaction`

### setUserTransactionName

    public void setUserTransactionName(String utName)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Set the JNDI name of the JTA UserTransaction object (used only by `JtaTransaction`).

  Specified by:
    `setUserTransactionName` in interface `HibernateServiceMBean`
  Parameters:
    `utName` - the JNDI name
  See Also:
    `JtaTransaction`

### getJtaPlatformName

    public String getJtaPlatformName()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Get the name of the `JtaPlatform` implementation to use.

  Specified by:
    `getJtaPlatformName` in interface `HibernateServiceMBean`
  Returns:
    The name of the `JtaPlatform` implementation to use.

### setJtaPlatformName

    public void setJtaPlatformName(String name)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Sets the name of the `JtaPlatform` implementation to use.

  Specified by:
    `setJtaPlatformName` in interface `HibernateServiceMBean`
  Parameters:
    `name` - The implementation class name.

### getPropertyList

    public String getPropertyList()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Display the properties

  Specified by:
    `getPropertyList` in interface `HibernateServiceMBean`
  Returns:
    a list of property names and values

### getProperty

    public String getProperty(String property)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Get a property

  Specified by:
    `getProperty` in interface `HibernateServiceMBean`
  Parameters:
    `property` - the property name
  Returns:
    the property value

### setProperty

    public void setProperty(String property,
                            String value)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Set a property

  Specified by:
    `setProperty` in interface `HibernateServiceMBean`
  Parameters:
    `property` - the property name
    `value` - the property value

### dropSchema

    public void dropSchema()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Export the `DROP` DDL to the database

  Specified by:
    `dropSchema` in interface `HibernateServiceMBean`

### createSchema

    public void createSchema()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Export the `CREATE` DDL to the database

  Specified by:
    `createSchema` in interface `HibernateServiceMBean`

### getName

    public String getName()

  Deprecated.

### getDatasource

    public String getDatasource()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  The JNDI name of the datasource to use in this `SessionFactory`

  Specified by:
    `getDatasource` in interface `HibernateServiceMBean`
  Returns:
    String

### setDatasource

    public void setDatasource(String datasource)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Set the JNDI name of the datasource to use in this `SessionFactory`

  Specified by:
    `setDatasource` in interface `HibernateServiceMBean`

### getJndiName

    public String getJndiName()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  The JNDI name to bind to the `SessionFactory`

  Specified by:
    `getJndiName` in interface `HibernateServiceMBean`
  Returns:
    String

### setJndiName

    public void setJndiName(String jndiName)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  The JNDI name to bind to the `SessionFactory`

  Specified by:
    `setJndiName` in interface `HibernateServiceMBean`

### getUserName

    public String getUserName()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Log into the database with this name

  Specified by:
    `getUserName` in interface `HibernateServiceMBean`
  Returns:
    String

### setUserName

    public void setUserName(String userName)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Log into the database with this name

  Specified by:
    `setUserName` in interface `HibernateServiceMBean`

### getPassword

    public String getPassword()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Log into the database with this password

  Specified by:
    `getPassword` in interface `HibernateServiceMBean`
  Returns:
    String

### setPassword

    public void setPassword(String password)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Log into the database with this password

  Specified by:
    `setPassword` in interface `HibernateServiceMBean`

### setFlushBeforeCompletionEnabled

    public void setFlushBeforeCompletionEnabled(String enabled)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Enable automatic flushing of the Session when JTA transaction ends.

  Specified by:
    `setFlushBeforeCompletionEnabled` in interface `HibernateServiceMBean`

### getFlushBeforeCompletionEnabled

    public String getFlushBeforeCompletionEnabled()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Is automatic Session flusing enabled?

  Specified by:
    `getFlushBeforeCompletionEnabled` in interface `HibernateServiceMBean`

### setAutoCloseSessionEnabled

    public void setAutoCloseSessionEnabled(String enabled)

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Enable automatic closing of Session when JTA transaction ends.

  Specified by:
    `setAutoCloseSessionEnabled` in interface `HibernateServiceMBean`

### getAutoCloseSessionEnabled

    public String getAutoCloseSessionEnabled()

  Deprecated.
  Description copied from interface: `HibernateServiceMBean`
  Is automatic Session closing enabled?

  Specified by:
    `getAutoCloseSessionEnabled` in interface `HibernateServiceMBean`

### getProperties

    public Properties getProperties()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.